from PyQt4.QtCore import *
from PyQt4.QtGui import *

from matplotlib.backends.backend_qt4agg import FigureCanvasQTAgg as FigureCanvas
#from matplotlib.backends.backend_qt4 import FigureCanvasQT as FigureCanvas
from matplotlib.figure import Figure


class MyMplCanvas(FigureCanvas):
	"""Ultimately, this is a QWidget (as well as a FigureCanvasAgg, etc.)."""
	def __init__(self, parent=None, width=5, height=4, dpi=100 , sharex= None , sharey= None):
		self.fig = Figure(figsize=(width, height), dpi=dpi)
		self.ax = self.fig.add_subplot(111 , sharex=sharex , sharey=sharey)
		# We want the axes cleared every time plot() is called
		self.ax.hold(True)

		FigureCanvas.__init__(self, self.fig)
#        self.reparent(parent, QPoint(0, 0))

		FigureCanvas.setSizePolicy(self,
					QSizePolicy.Expanding,
					QSizePolicy.Expanding)
		FigureCanvas.updateGeometry(self)
		
		#self.setAcceptDrops(True)

	def sizeHint(self):
		w, h = self.get_width_height()
		return QSize(w, h)

	def minimumSizeHint(self):
		return QSize(10, 10)